WABA
Get WABA integration progress
GET
/
v1
/
waba
/
progress
/
{progressID}
Get WABA integration progress
curl --request GET \
--url https://api.wazapin.com/v1/waba/progress/{progressID}const options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/waba/progress/{progressID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/waba/progress/{progressID}"
response = requests.get(url)
print(response.text){
"channel_id": "<string>",
"completed_steps": "<unknown>",
"created_at": "<string>",
"current_step": "<string>",
"error": "<string>",
"id": "<string>",
"organization_id": "<string>",
"phone_number_id": "<string>",
"step_status": "<string>",
"updated_at": "<string>",
"waba_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Integration progress ID
Response
OK
⌘I
Get WABA integration progress
curl --request GET \
--url https://api.wazapin.com/v1/waba/progress/{progressID}const options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/waba/progress/{progressID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/waba/progress/{progressID}"
response = requests.get(url)
print(response.text){
"channel_id": "<string>",
"completed_steps": "<unknown>",
"created_at": "<string>",
"current_step": "<string>",
"error": "<string>",
"id": "<string>",
"organization_id": "<string>",
"phone_number_id": "<string>",
"step_status": "<string>",
"updated_at": "<string>",
"waba_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}